Bug 2242284 - CVE-2023-42754 kernel: ipv4: NULL pointer dereference in ipv4_send_dest_unreach() [fedora-all]
Summary: CVE-2023-42754 kernel: ipv4: NULL pointer dereference in ipv4_send_dest_unrea...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 38
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2023-42754
TreeView+ depends on / blocked
 
Reported: 2023-10-05 10:54 UTC by Mauro Matteo Cascella
Modified: 2023-10-10 01:36 UTC (History)
18 users (show)

Fixed In Version: kernel-6.5.6-300.fc39 kernel-6.5.6-100.fc37 kernel-6.5.6-200.fc38
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-09 22:26:37 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Mauro Matteo Cascella 2023-10-05 10:54:19 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2239845

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

Comment 1 Mauro Matteo Cascella 2023-10-05 10:54:22 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2239845,2242284

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2023-10-06 22:06:12 UTC
FEDORA-2023-830d9ec624 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-830d9ec624

Comment 3 Fedora Update System 2023-10-06 22:06:35 UTC
FEDORA-2023-50bd7c9c12 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-50bd7c9c12

Comment 4 Fedora Update System 2023-10-06 22:09:27 UTC
FEDORA-2023-c3bb819677 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-c3bb819677

Comment 5 Fedora Update System 2023-10-07 01:29:32 UTC
FEDORA-2023-50bd7c9c12 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-50bd7c9c12`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-50bd7c9c12

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-10-07 02:33:33 UTC
FEDORA-2023-c3bb819677 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-c3bb819677`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-c3bb819677

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-10-07 02:43:32 UTC
FEDORA-2023-830d9ec624 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-830d9ec624`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-830d9ec624

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-09 22:26:37 UTC
FEDORA-2023-c3bb819677 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-10-10 01:33:20 UTC
FEDORA-2023-50bd7c9c12 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-10-10 01:36:16 UTC
FEDORA-2023-830d9ec624 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.